/*
SQLyog Community Edition- MySQL GUI v8.15 Beta1
MySQL - 5.1.28-rc-community : Database - retrosheet
*********************************************************************
*/


/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/`retrosheet` /*!40100 DEFAULT CHARACTER SET latin1 */;

USE `retrosheet`;

/*Table structure for table `events` */

DROP TABLE IF EXISTS `events_bck`;

CREATE TABLE `events_bck` (
  `seq_events` int(11) unsigned NOT NULL AUTO_INCREMENT PRIMARY KEY,
  `GAME_ID` char(12) NOT NULL,
  `YEAR_ID` year(4) DEFAULT '2000',
  `AWAY_TEAM_ID` char(3) NOT NULL,
  `INN_CT` tinyint(2) unsigned NOT NULL,
  `BAT_HOME_ID` tinyint(1) unsigned NOT NULL,
  `OUTS_CT` tinyint(1) unsigned NOT NULL,
  `BALLS_CT` tinyint(1) unsigned NOT NULL,
  `STRIKES_CT` tinyint(1) unsigned NOT NULL,
  `PITCH_SEQ_TX` varchar(40) NOT NULL,
  `AWAY_SCORE_CT` tinyint(2) unsigned NOT NULL,
  `HOME_SCORE_CT` tinyint(2) unsigned NOT NULL,
  `BAT_ID` char(8) NOT NULL,
  `BAT_HAND_CD` char(1) NOT NULL,
  `RESP_BAT_ID` char(8) NOT NULL,
  `RESP_BAT_HAND_CD` char(1) NOT NULL,
  `PIT_ID` char(8) NOT NULL,
  `PIT_HAND_CD` char(1) NOT NULL,
  `RES_PIT_ID` char(8) NOT NULL,
  `RES_PIT_HAND_CD` char(1) NOT NULL,
  `POS2_FLD_ID` char(8) NOT NULL,
  `POS3_FLD_ID` char(8) NOT NULL,
  `POS4_FLD_ID` char(8) NOT NULL,
  `POS5_FLD_ID` char(8) NOT NULL,
  `POS6_FLD_ID` char(8) NOT NULL,
  `POS7_FLD_ID` char(8) NOT NULL,
  `POS8_FLD_ID` char(8) NOT NULL,
  `POS9_FLD_ID` char(8) NOT NULL,
  `BASE1_RUN_ID` varchar(8) NOT NULL,
  `BASE2_RUN_ID` varchar(8) NOT NULL,
  `BASE3_RUN_ID` varchar(8) NOT NULL,
  `EVENT_TX` varchar(100) NOT NULL,
  `LEADOFF_FL` char(1) NOT NULL,
  `PH_FL` char(1) NOT NULL,
  `BAT_FLD_CD` tinyint(1) unsigned NOT NULL,
  `BAT_LINEUP_ID` tinyint(2) unsigned NOT NULL,
  `EVENT_CD` tinyint(2) unsigned NOT NULL,
  `BAT_EVENT_FL` char(1) NOT NULL,
  `AB_FL` char(1) NOT NULL,
  `H_CD` tinyint(1) unsigned NOT NULL,
  `SH_FL` char(1) NOT NULL,
  `SF_FL` char(1) NOT NULL,
  `EVENT_OUTS_CT` tinyint(1) unsigned NOT NULL,
  `DP_FL` char(1) NOT NULL,
  `TP_FL` char(1) NOT NULL,
  `RBI_CT` tinyint(1) unsigned NOT NULL,
  `WP_FL` char(1) NOT NULL,
  `PB_FL` char(1) NOT NULL,
  `FLD_CD` tinyint(2) unsigned NOT NULL,
  `BATTEDBALL_CD` char(1) NOT NULL,
  `BUNT_FL` char(1) NOT NULL,
  `FOUL_FL` char(1) NOT NULL,
  `BATTEDBALL_LOC_TX` varchar(5) NOT NULL,
  `ERR_CT` tinyint(1) unsigned NOT NULL,
  `ERR1_FLD_CD` tinyint(2) unsigned NOT NULL,
  `ERR1_CD` char(1) NOT NULL,
  `ERR2_FLD_CD` tinyint(2) unsigned NOT NULL,
  `ERR2_CD` char(1) NOT NULL,
  `ERR3_FLD_CD` tinyint(2) unsigned NOT NULL,
  `ERR3_CD` char(1) NOT NULL,
  `BAT_DEST_ID` tinyint(1) unsigned NOT NULL,
  `RUN1_DEST_ID` tinyint(1) unsigned NOT NULL,
  `RUN2_DEST_ID` tinyint(1) unsigned NOT NULL,
  `RUN3_DEST_ID` tinyint(1) unsigned NOT NULL,
  `BAT_PLAY_TX` varchar(8) NOT NULL,
  `RUN1_PLAY_TX` varchar(15) NOT NULL,
  `RUN2_PLAY_TX` varchar(15) NOT NULL,
  `RUN3_PLAY_TX` varchar(15) NOT NULL,
  `RUN1_SB_FL` char(1) NOT NULL,
  `RUN2_SB_FL` char(1) NOT NULL,
  `RUN3_SB_FL` char(1) NOT NULL,
  `RUN1_CS_FL` char(1) NOT NULL,
  `RUN2_CS_FL` char(1) NOT NULL,
  `RUN3_CS_FL` char(1) NOT NULL,
  `RUN1_PK_FL` char(1) NOT NULL,
  `RUN2_PK_FL` char(1) NOT NULL,
  `RUN3_PK_FL` char(1) NOT NULL,
  `RUN1_RESP_PIT_ID` varchar(8) NOT NULL,
  `RUN2_RESP_PIT_ID` varchar(8) NOT NULL,
  `RUN3_RESP_PIT_ID` varchar(8) NOT NULL,
  `GAME_NEW_FL` char(1) NOT NULL,
  `GAME_END_FL` char(1) NOT NULL,
  `PR_RUN1_FL` char(1) NOT NULL,
  `PR_RUN2_FL` char(1) NOT NULL,
  `PR_RUN3_FL` char(1) NOT NULL,
  `REMOVED_FOR_PR_RUN1_ID` varchar(8) NOT NULL,
  `REMOVED_FOR_PR_RUN2_ID` varchar(8) NOT NULL,
  `REMOVED_FOR_PR_RUN3_ID` varchar(8) NOT NULL,
  `REMOVED_FOR_PH_BAT_ID` varchar(8) NOT NULL,
  `REMOVED_FOR_PH_BAT_FLD_CD` tinyint(2) unsigned NOT NULL,
  `PO1_FLD_CD` tinyint(2) unsigned NOT NULL,
  `PO2_FLD_CD` tinyint(2) unsigned NOT NULL,
  `PO3_FLD_CD` tinyint(2) unsigned NOT NULL,
  `ASS1_FLD_CD` tinyint(2) unsigned NOT NULL,
  `ASS2_FLD_CD` tinyint(2) unsigned NOT NULL,
  `ASS3_FLD_CD` tinyint(2) unsigned NOT NULL,
  `ASS4_FLD_CD` tinyint(2) unsigned NOT NULL,
  `ASS5_FLD_CD` tinyint(2) unsigned NOT NULL,
  `EVENT_ID` tinyint(3) unsigned NOT NULL,
  `HOME_TEAM_ID` char(3) NOT NULL,
  `BAT_TEAM_ID` char(3) NOT NULL,
  `FLD_TEAM_ID` char(3) NOT NULL,
  `BAT_LAST_ID` tinyint(1) unsigned NOT NULL,
  `INN_NEW_FL` char(1) NOT NULL,
  `INN_END_FL` char(1) NOT NULL,
  `START_BAT_SCORE_CT` tinyint(2) unsigned NOT NULL,
  `START_FLD_SCORE_CT` tinyint(2) unsigned NOT NULL,
  `INN_RUNS_CT` tinyint(2) unsigned NOT NULL,
  `GAME_PA_CT` tinyint(3) unsigned NOT NULL,
  `INN_PA_CT` tinyint(2) unsigned NOT NULL,
  `PA_NEW_FL` char(1) NOT NULL,
  `PA_TRUNC_FL` char(1) NOT NULL,
  `START_BASES_CD` tinyint(1) unsigned NOT NULL,
  `END_BASES_CD` tinyint(1) unsigned NOT NULL,
  `BAT_START_FL` char(1) NOT NULL,
  `RESP_BAT_START_FL` char(1) NOT NULL,
  `PIT_START_FL` char(1) NOT NULL,
  `RESP_PIT_START_FL` char(1) NOT NULL,
  `RUN1_FLD_CD` tinyint(2) unsigned NOT NULL,
  `RUN1_LINEUP_ID` tinyint(2) unsigned NOT NULL,
  `RUN1_ORIGIN_EVENT_ID` tinyint(2) unsigned NOT NULL,
  `RUN2_FLD_CD` tinyint(2) unsigned NOT NULL,
  `RUN2_LINEUP_ID` tinyint(2) unsigned NOT NULL,
  `RUN2_ORIGIN_EVENT_ID` tinyint(2) unsigned NOT NULL,
  `RUN3_FLD_CD` tinyint(2) unsigned NOT NULL,
  `RUN3_LINEUP_ID` tinyint(2) unsigned NOT NULL,
  `RUN3_ORIGIN_EVENT_ID` tinyint(2) unsigned NOT NULL,
  `RUN1_RESP_CATCH_ID` varchar(8) NOT NULL,
  `RUN2_RESP_CATCH_ID` varchar(8) NOT NULL,
  `RUN3_RESP_CATCH_ID` varchar(8) NOT NULL, 
  `PA_BALL_CT` tinyint(1) unsigned NOT NULL,
  `PA_CALLED_BALL_CT` tinyint(1) unsigned NOT NULL,
  `PA_INTENT_BALL_CT` tinyint(1) unsigned NOT NULL,
  `PA_PITCHOUT_BALL_CT` tinyint(1) unsigned NOT NULL,
  `PA_HIT_BALL_CT` tinyint(1) unsigned NOT NULL,
  `PA_OTHER_BALL_CT` tinyint(1) unsigned NOT NULL,
  `PA_STRIKE_CT` tinyint(1) unsigned NOT NULL,
  `PA_CALLED_STRIKE_CT` tinyint(1) unsigned NOT NULL,
  `PA_SWINGMISS_STRIKE_CT` tinyint(1) unsigned NOT NULL,
  `PA_FOUL_STRIKE_CT` tinyint(1) unsigned NOT NULL,
  `PA_BIP_STRIKE_CT` tinyint(1) unsigned NOT NULL, 
  `PA_OTHER_STRIKE_CT` tinyint(1) unsigned NOT NULL,
  `EVENT_RUNS_CT` tinyint(1) unsigned NOT NULL,
  `FLD_ID` varchar(8) NOT NULL,
  `BASE2_FORCE_FL` char(1) NOT NULL,
  `BASE3_FORCE_FL` char(1) NOT NULL,
  `BASE4_FORCE_FL` char(1) NOT NULL,
  `BAT_SAFE_ERR_FL` char(1) NOT NULL,
  `BAT_FATE_ID` tinyint(1) unsigned NOT NULL,
  `RUN1_FATE_ID` tinyint(1) unsigned NOT NULL,
  `RUN2_FATE_ID` tinyint(1) unsigned NOT NULL,
  `RUN3_FATE_ID` tinyint(1) unsigned NOT NULL,
  `FATE_RUNS_CT` tinyint(1) unsigned NOT NULL,
  `ASS6_FLD_CD` tinyint(1) unsigned NOT NULL,
  `ASS7_FLD_CD` tinyint(1) unsigned NOT NULL,
  `ASS8_FLD_CD` tinyint(1) unsigned NOT NULL,
  `ASS9_FLD_CD` tinyint(1) unsigned NOT NULL,
  `ASS10_FLD_CD` tinyint(1) unsigned NOT NULL,
  `UNCERTAIN_PLAY_EXC_FL` varchar(1) DEFAULT NULL,
  `UNKNOWN_OUT_EXC_FL` varchar(1) DEFAULT NULL,
  KEY `events_gameid_idx` (`GAME_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

DROP TABLE IF EXISTS `events`;

CREATE TABLE `events` (
  `seq_events` int(11) unsigned NOT NULL DEFAULT '0',
  `GAME_ID` char(12) NOT NULL,
  `YEAR_ID` year(4) NOT NULL DEFAULT '2000',
  `AWAY_TEAM_ID` char(3) NOT NULL,
  `INN_CT` tinyint(2) unsigned NOT NULL,
  `BAT_HOME_ID` tinyint(1) unsigned NOT NULL,
  `OUTS_CT` tinyint(1) unsigned NOT NULL,
  `BALLS_CT` tinyint(1) unsigned NOT NULL,
  `STRIKES_CT` tinyint(1) unsigned NOT NULL,
  `PITCH_SEQ_TX` varchar(40) NOT NULL,
  `AWAY_SCORE_CT` tinyint(2) unsigned NOT NULL,
  `HOME_SCORE_CT` tinyint(2) unsigned NOT NULL,
  `BAT_ID` char(8) NOT NULL,
  `BAT_HAND_CD` char(1) NOT NULL,
  `RESP_BAT_ID` char(8) NOT NULL,
  `RESP_BAT_HAND_CD` char(1) NOT NULL,
  `PIT_ID` char(8) NOT NULL,
  `PIT_HAND_CD` char(1) NOT NULL,
  `RES_PIT_ID` char(8) NOT NULL,
  `RES_PIT_HAND_CD` char(1) NOT NULL,
  `POS2_FLD_ID` char(8) NOT NULL,
  `POS3_FLD_ID` char(8) NOT NULL,
  `POS4_FLD_ID` char(8) NOT NULL,
  `POS5_FLD_ID` char(8) NOT NULL,
  `POS6_FLD_ID` char(8) NOT NULL,
  `POS7_FLD_ID` char(8) NOT NULL,
  `POS8_FLD_ID` char(8) NOT NULL,
  `POS9_FLD_ID` char(8) NOT NULL,
  `BASE1_RUN_ID` varchar(8) NOT NULL,
  `BASE2_RUN_ID` varchar(8) NOT NULL,
  `BASE3_RUN_ID` varchar(8) NOT NULL,
  `EVENT_TX` varchar(100) NOT NULL,
  `LEADOFF_FL` char(1) NOT NULL,
  `PH_FL` char(1) NOT NULL,
  `BAT_FLD_CD` tinyint(1) unsigned NOT NULL,
  `BAT_LINEUP_ID` tinyint(2) unsigned NOT NULL,
  `EVENT_CD` tinyint(2) unsigned NOT NULL,
  `BAT_EVENT_FL` char(1) NOT NULL,
  `AB_FL` char(1) NOT NULL,
  `H_CD` tinyint(1) unsigned NOT NULL,
  `SH_FL` char(1) NOT NULL,
  `SF_FL` char(1) NOT NULL,
  `EVENT_OUTS_CT` tinyint(1) unsigned NOT NULL,
  `DP_FL` char(1) NOT NULL,
  `TP_FL` char(1) NOT NULL,
  `RBI_CT` tinyint(1) unsigned NOT NULL,
  `WP_FL` char(1) NOT NULL,
  `PB_FL` char(1) NOT NULL,
  `FLD_CD` tinyint(2) unsigned NOT NULL,
  `BATTEDBALL_CD` char(1) NOT NULL,
  `BUNT_FL` char(1) NOT NULL,
  `FOUL_FL` char(1) NOT NULL,
  `BATTEDBALL_LOC_TX` varchar(5) NOT NULL,
  `ERR_CT` tinyint(1) unsigned NOT NULL,
  `ERR1_FLD_CD` tinyint(2) unsigned NOT NULL,
  `ERR1_CD` char(1) NOT NULL,
  `ERR2_FLD_CD` tinyint(2) unsigned NOT NULL,
  `ERR2_CD` char(1) NOT NULL,
  `ERR3_FLD_CD` tinyint(2) unsigned NOT NULL,
  `ERR3_CD` char(1) NOT NULL,
  `BAT_DEST_ID` tinyint(1) unsigned NOT NULL,
  `RUN1_DEST_ID` tinyint(1) unsigned NOT NULL,
  `RUN2_DEST_ID` tinyint(1) unsigned NOT NULL,
  `RUN3_DEST_ID` tinyint(1) unsigned NOT NULL,
  `BAT_PLAY_TX` varchar(8) NOT NULL,
  `RUN1_PLAY_TX` varchar(15) NOT NULL,
  `RUN2_PLAY_TX` varchar(15) NOT NULL,
  `RUN3_PLAY_TX` varchar(15) NOT NULL,
  `RUN1_SB_FL` char(1) NOT NULL,
  `RUN2_SB_FL` char(1) NOT NULL,
  `RUN3_SB_FL` char(1) NOT NULL,
  `RUN1_CS_FL` char(1) NOT NULL,
  `RUN2_CS_FL` char(1) NOT NULL,
  `RUN3_CS_FL` char(1) NOT NULL,
  `RUN1_PK_FL` char(1) NOT NULL,
  `RUN2_PK_FL` char(1) NOT NULL,
  `RUN3_PK_FL` char(1) NOT NULL,
  `RUN1_RESP_PIT_ID` varchar(8) NOT NULL,
  `RUN2_RESP_PIT_ID` varchar(8) NOT NULL,
  `RUN3_RESP_PIT_ID` varchar(8) NOT NULL,
  `GAME_NEW_FL` char(1) NOT NULL,
  `GAME_END_FL` char(1) NOT NULL,
  `PR_RUN1_FL` char(1) NOT NULL,
  `PR_RUN2_FL` char(1) NOT NULL,
  `PR_RUN3_FL` char(1) NOT NULL,
  `REMOVED_FOR_PR_RUN1_ID` varchar(8) NOT NULL,
  `REMOVED_FOR_PR_RUN2_ID` varchar(8) NOT NULL,
  `REMOVED_FOR_PR_RUN3_ID` varchar(8) NOT NULL,
  `REMOVED_FOR_PH_BAT_ID` varchar(8) NOT NULL,
  `REMOVED_FOR_PH_BAT_FLD_CD` tinyint(2) unsigned NOT NULL,
  `PO1_FLD_CD` tinyint(2) unsigned NOT NULL,
  `PO2_FLD_CD` tinyint(2) unsigned NOT NULL,
  `PO3_FLD_CD` tinyint(2) unsigned NOT NULL,
  `ASS1_FLD_CD` tinyint(2) unsigned NOT NULL,
  `ASS2_FLD_CD` tinyint(2) unsigned NOT NULL,
  `ASS3_FLD_CD` tinyint(2) unsigned NOT NULL,
  `ASS4_FLD_CD` tinyint(2) unsigned NOT NULL,
  `ASS5_FLD_CD` tinyint(2) unsigned NOT NULL,
  `EVENT_ID` tinyint(3) unsigned NOT NULL,
  `HOME_TEAM_ID` char(3) NOT NULL,
  `BAT_TEAM_ID` char(3) NOT NULL,
  `FLD_TEAM_ID` char(3) NOT NULL,
  `BAT_LAST_ID` tinyint(1) unsigned NOT NULL,
  `INN_NEW_FL` char(1) NOT NULL,
  `INN_END_FL` char(1) NOT NULL,
  `START_BAT_SCORE_CT` tinyint(2) unsigned NOT NULL,
  `START_FLD_SCORE_CT` tinyint(2) unsigned NOT NULL,
  `INN_RUNS_CT` tinyint(2) unsigned NOT NULL,
  `GAME_PA_CT` tinyint(3) unsigned NOT NULL,
  `INN_PA_CT` tinyint(2) unsigned NOT NULL,
  `PA_NEW_FL` char(1) NOT NULL,
  `PA_TRUNC_FL` char(1) NOT NULL,
  `START_BASES_CD` tinyint(1) unsigned NOT NULL,
  `END_BASES_CD` tinyint(1) unsigned NOT NULL,
  `BAT_START_FL` char(1) NOT NULL,
  `RESP_BAT_START_FL` char(1) NOT NULL,
  `PIT_START_FL` char(1) NOT NULL,
  `RESP_PIT_START_FL` char(1) NOT NULL,
  `RUN1_FLD_CD` tinyint(2) unsigned NOT NULL,
  `RUN1_LINEUP_ID` tinyint(2) unsigned NOT NULL,
  `RUN1_ORIGIN_EVENT_ID` tinyint(2) unsigned NOT NULL,
  `RUN2_FLD_CD` tinyint(2) unsigned NOT NULL,
  `RUN2_LINEUP_ID` tinyint(2) unsigned NOT NULL,
  `RUN2_ORIGIN_EVENT_ID` tinyint(2) unsigned NOT NULL,
  `RUN3_FLD_CD` tinyint(2) unsigned NOT NULL,
  `RUN3_LINEUP_ID` tinyint(2) unsigned NOT NULL,
  `RUN3_ORIGIN_EVENT_ID` tinyint(2) unsigned NOT NULL,
  `RUN1_RESP_CATCH_ID` varchar(8) NOT NULL,
  `RUN2_RESP_CATCH_ID` varchar(8) NOT NULL,
  `RUN3_RESP_CATCH_ID` varchar(8) NOT NULL, 
  `PA_BALL_CT` tinyint(1) unsigned NOT NULL,
  `PA_CALLED_BALL_CT` tinyint(1) unsigned NOT NULL,
  `PA_INTENT_BALL_CT` tinyint(1) unsigned NOT NULL,
  `PA_PITCHOUT_BALL_CT` tinyint(1) unsigned NOT NULL,
  `PA_HIT_BALL_CT` tinyint(1) unsigned NOT NULL,
  `PA_OTHER_BALL_CT` tinyint(1) unsigned NOT NULL,
  `PA_STRIKE_CT` tinyint(1) unsigned NOT NULL,
  `PA_CALLED_STRIKE_CT` tinyint(1) unsigned NOT NULL,
  `PA_SWINGMISS_STRIKE_CT` tinyint(1) unsigned NOT NULL,
  `PA_FOUL_STRIKE_CT` tinyint(1) unsigned NOT NULL,
  `PA_BIP_STRIKE_CT` tinyint(1) unsigned NOT NULL, 
  `PA_OTHER_STRIKE_CT` tinyint(1) unsigned NOT NULL,
  `EVENT_RUNS_CT` tinyint(1) unsigned NOT NULL,
  `FLD_ID` varchar(8) NOT NULL,
  `BASE2_FORCE_FL` char(1) NOT NULL,
  `BASE3_FORCE_FL` char(1) NOT NULL,
  `BASE4_FORCE_FL` char(1) NOT NULL,
  `BAT_SAFE_ERR_FL` char(1) NOT NULL,
  `BAT_FATE_ID` tinyint(1) unsigned NOT NULL,
  `RUN1_FATE_ID` tinyint(1) unsigned NOT NULL,
  `RUN2_FATE_ID` tinyint(1) unsigned NOT NULL,
  `RUN3_FATE_ID` tinyint(1) unsigned NOT NULL,
  `FATE_RUNS_CT` tinyint(1) unsigned NOT NULL,
  `ASS6_FLD_CD` tinyint(1) unsigned NOT NULL,
  `ASS7_FLD_CD` tinyint(1) unsigned NOT NULL,
  `ASS8_FLD_CD` tinyint(1) unsigned NOT NULL,
  `ASS9_FLD_CD` tinyint(1) unsigned NOT NULL,
  `ASS10_FLD_CD` tinyint(1) unsigned NOT NULL,
  `UNKNOWN_OUT_EXC_FL` varchar(1) DEFAULT NULL,
  `UNCERTAIN_PLAY_EXC_FL` varchar(1) DEFAULT NULL,
  KEY `events_gameid_idx` (`GAME_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 /*!50100 PARTITION BY LIST (YEAR_ID) (PARTITION p1 VALUES IN (1921) ENGINE = MyISAM, PARTITION p2 VALUES IN (1922) ENGINE = MyISAM, PARTITION p3 VALUES IN (1952) ENGINE = MyISAM, PARTITION p4 VALUES IN (1953) ENGINE = MyISAM, PARTITION p5 VALUES IN (1954) ENGINE = MyISAM, PARTITION p6 VALUES IN (1955) ENGINE = MyISAM, PARTITION p7 VALUES IN (1956) ENGINE = MyISAM, PARTITION p8 VALUES IN (1957) ENGINE = MyISAM, PARTITION p9 VALUES IN (1958) ENGINE = MyISAM, PARTITION p10 VALUES IN (1959) ENGINE = MyISAM, PARTITION p11 VALUES IN (1960) ENGINE = MyISAM, PARTITION p12 VALUES IN (1961) ENGINE = MyISAM, PARTITION p13 VALUES IN (1962) ENGINE = MyISAM, PARTITION p14 VALUES IN (1963) ENGINE = MyISAM, PARTITION p15 VALUES IN (1964) ENGINE = MyISAM, PARTITION p16 VALUES IN (1965) ENGINE = MyISAM, PARTITION p17 VALUES IN (1966) ENGINE = MyISAM, PARTITION p18 VALUES IN (1967) ENGINE = MyISAM, PARTITION p19 VALUES IN (1968) ENGINE = MyISAM, PARTITION p20 VALUES IN (1969) ENGINE = MyISAM, PARTITION p21 VALUES IN (1970) ENGINE = MyISAM, PARTITION p22 VALUES IN (1971) ENGINE = MyISAM, PARTITION p23 VALUES IN (1972) ENGINE = MyISAM, PARTITION p24 VALUES IN (1973) ENGINE = MyISAM, PARTITION p25 VALUES IN (1974) ENGINE = MyISAM, PARTITION p26 VALUES IN (1975) ENGINE = MyISAM, PARTITION p27 VALUES IN (1976) ENGINE = MyISAM, PARTITION p28 VALUES IN (1977) ENGINE = MyISAM, PARTITION p29 VALUES IN (1978) ENGINE = MyISAM, PARTITION p30 VALUES IN (1979) ENGINE = MyISAM, PARTITION p31 VALUES IN (1980) ENGINE = MyISAM, PARTITION p32 VALUES IN (1981) ENGINE = MyISAM, PARTITION p33 VALUES IN (1982) ENGINE = MyISAM, PARTITION p34 VALUES IN (1983) ENGINE = MyISAM, PARTITION p35 VALUES IN (1984) ENGINE = MyISAM, PARTITION p36 VALUES IN (1985) ENGINE = MyISAM, PARTITION p37 VALUES IN (1986) ENGINE = MyISAM, PARTITION p38 VALUES IN (1987) ENGINE = MyISAM, PARTITION p39 VALUES IN (1988) ENGINE = MyISAM, PARTITION p40 VALUES IN (1989) ENGINE = MyISAM, PARTITION p41 VALUES IN (1990) ENGINE = MyISAM, PARTITION p42 VALUES IN (1991) ENGINE = MyISAM, PARTITION p43 VALUES IN (1992) ENGINE = MyISAM, PARTITION p44 VALUES IN (1993) ENGINE = MyISAM, PARTITION p45 VALUES IN (1994) ENGINE = MyISAM, PARTITION p46 VALUES IN (1995) ENGINE = MyISAM, PARTITION p47 VALUES IN (1996) ENGINE = MyISAM, PARTITION p48 VALUES IN (1997) ENGINE = MyISAM, PARTITION p49 VALUES IN (1998) ENGINE = MyISAM, PARTITION p50 VALUES IN (1999) ENGINE = MyISAM, PARTITION p51 VALUES IN (2000) ENGINE = MyISAM, PARTITION p52 VALUES IN (2001) ENGINE = MyISAM, PARTITION p53 VALUES IN (2002) ENGINE = MyISAM, PARTITION p54 VALUES IN (2003) ENGINE = MyISAM, PARTITION p55 VALUES IN (2004) ENGINE = MyISAM, PARTITION p56 VALUES IN (2005) ENGINE = MyISAM, PARTITION p57 VALUES IN (2006) ENGINE = MyISAM, PARTITION p58 VALUES IN (2007) ENGINE = MyISAM, PARTITION p59 VALUES IN (2008) ENGINE = MyISAM, PARTITION p60 VALUES IN (2009) ENGINE = MyISAM) */;

/*Table structure for table `games` */

DROP TABLE IF EXISTS `games_bck`;

CREATE TABLE `games_bck` (
  `seq_games` int(11) NOT NULL AUTO_INCREMENT PRIMARY KEY,
  `GAME_ID` varchar(12) DEFAULT NULL,
  `YEAR_ID` int(4) NOT NULL DEFAULT '0',
  `GAME_DT` int(11) DEFAULT NULL,
  `GAME_CT` int(11) DEFAULT NULL,
  `GAME_DY` varchar(9) DEFAULT NULL,
  `START_GAME_TM` int(11) DEFAULT NULL,
  `DH_FL` varchar(1) DEFAULT NULL,
  `DAYNIGHT_PARK_CD` varchar(1) DEFAULT NULL,
  `AWAY_TEAM_ID` varchar(3) DEFAULT NULL,
  `HOME_TEAM_ID` varchar(3) DEFAULT NULL,
  `PARK_ID` varchar(5) DEFAULT NULL,
  `AWAY_START_PIT_ID` varchar(8) DEFAULT NULL,
  `HOME_START_PIT_ID` varchar(8) DEFAULT NULL,
  `BASE4_UMP_ID` varchar(8) DEFAULT NULL,
  `BASE1_UMP_ID` varchar(8) DEFAULT NULL,
  `BASE2_UMP_ID` varchar(8) DEFAULT NULL,
  `BASE3_UMP_ID` varchar(8) DEFAULT NULL,
  `LF_UMP_ID` varchar(8) DEFAULT NULL,
  `RF_UMP_ID` varchar(8) DEFAULT NULL,
  `ATTEND_PARK_CT` int(11) DEFAULT NULL,
  `SCORER_RECORD_ID` varchar(50) DEFAULT NULL,
  `TRANSLATOR_RECORD_ID` varchar(50) DEFAULT NULL,
  `INPUTTER_RECORD_ID` varchar(50) DEFAULT NULL,
  `INPUT_RECORD_TS` varchar(18) DEFAULT NULL,
  `EDIT_RECORD_TS` varchar(18) DEFAULT NULL,
  `METHOD_RECORD_CD` varchar(18) DEFAULT NULL,
  `PITCHES_RECORD_CD` varchar(1) DEFAULT NULL,
  `TEMP_PARK_CT` int(11) DEFAULT NULL,
  `WIND_DIRECTION_PARK_CD` int(11) DEFAULT NULL,
  `WIND_SPEED_PARK_CT` int(11) DEFAULT NULL,
  `FIELD_PARK_CD` int(11) DEFAULT NULL,
  `PRECIP_PARK_CD` int(11) DEFAULT NULL,
  `SKY_PARK_CD` int(11) DEFAULT NULL,
  `MINUTES_GAME_CT` int(11) DEFAULT NULL,
  `INN_CT` int(11) DEFAULT NULL,
  `AWAY_SCORE_CT` int(11) DEFAULT NULL,
  `HOME_SCORE_CT` int(11) DEFAULT NULL,
  `AWAY_HITS_CT` int(11) DEFAULT NULL,
  `HOME_HITS_CT` int(11) DEFAULT NULL,
  `AWAY_ERR_CT` int(11) DEFAULT NULL,
  `HOME_ERR_CT` int(11) DEFAULT NULL,
  `AWAY_LOB_CT` int(11) DEFAULT NULL,
  `HOME_LOB_CT` int(11) DEFAULT NULL,
  `WIN_PIT_ID` varchar(8) DEFAULT NULL,
  `LOSE_PIT_ID` varchar(8) DEFAULT NULL,
  `SAVE_PIT_ID` varchar(8) DEFAULT NULL,
  `GWRBI_BAT_ID` varchar(8) DEFAULT NULL,
  `AWAY_LINEUP1_BAT_ID` varchar(8) DEFAULT NULL,
  `AWAY_LINEUP1_FLD_CD` int(11) DEFAULT NULL,
  `AWAY_LINEUP2_BAT_ID` varchar(8) DEFAULT NULL,
  `AWAY_LINEUP2_FLD_CD` int(11) DEFAULT NULL,
  `AWAY_LINEUP3_BAT_ID` varchar(8) DEFAULT NULL,
  `AWAY_LINEUP3_FLD_CD` int(11) DEFAULT NULL,
  `AWAY_LINEUP4_BAT_ID` varchar(8) DEFAULT NULL,
  `AWAY_LINEUP4_FLD_CD` int(11) DEFAULT NULL,
  `AWAY_LINEUP5_BAT_ID` varchar(8) DEFAULT NULL,
  `AWAY_LINEUP5_FLD_CD` int(11) DEFAULT NULL,
  `AWAY_LINEUP6_BAT_ID` varchar(8) DEFAULT NULL,
  `AWAY_LINEUP6_FLD_CD` int(11) DEFAULT NULL,
  `AWAY_LINEUP7_BAT_ID` varchar(8) DEFAULT NULL,
  `AWAY_LINEUP7_FLD_CD` int(11) DEFAULT NULL,
  `AWAY_LINEUP8_BAT_ID` varchar(8) DEFAULT NULL,
  `AWAY_LINEUP8_FLD_CD` int(11) DEFAULT NULL,
  `AWAY_LINEUP9_BAT_ID` varchar(8) DEFAULT NULL,
  `AWAY_LINEUP9_FLD_CD` int(11) DEFAULT NULL,
  `HOME_LINEUP1_BAT_ID` varchar(8) DEFAULT NULL,
  `HOME_LINEUP1_FLD_CD` int(11) DEFAULT NULL,
  `HOME_LINEUP2_BAT_ID` varchar(8) DEFAULT NULL,
  `HOME_LINEUP2_FLD_CD` int(11) DEFAULT NULL,
  `HOME_LINEUP3_BAT_ID` varchar(8) DEFAULT NULL,
  `HOME_LINEUP3_FLD_CD` int(11) DEFAULT NULL,
  `HOME_LINEUP4_BAT_ID` varchar(8) DEFAULT NULL,
  `HOME_LINEUP4_FLD_CD` int(11) DEFAULT NULL,
  `HOME_LINEUP5_BAT_ID` varchar(8) DEFAULT NULL,
  `HOME_LINEUP5_FLD_CD` int(11) DEFAULT NULL,
  `HOME_LINEUP6_BAT_ID` varchar(8) DEFAULT NULL,
  `HOME_LINEUP6_FLD_CD` int(11) DEFAULT NULL,
  `HOME_LINEUP7_BAT_ID` varchar(8) DEFAULT NULL,
  `HOME_LINEUP7_FLD_CD` int(11) DEFAULT NULL,
  `HOME_LINEUP8_BAT_ID` varchar(8) DEFAULT NULL,
  `HOME_LINEUP8_FLD_CD` int(11) DEFAULT NULL,
  `HOME_LINEUP9_BAT_ID` varchar(8) DEFAULT NULL,
  `HOME_LINEUP9_FLD_CD` int(11) DEFAULT NULL,
  `AWAY_FINISH_PIT_ID` varchar(8) DEFAULT NULL,
  `HOME_FINISH_PIT_ID` varchar(8) DEFAULT NULL,
  KEY `games_gameid_idx` (`GAME_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

DROP TABLE IF EXISTS `games`;

CREATE TABLE `games` (
  `seq_games` int(11) NOT NULL DEFAULT '0',
  `GAME_ID` varchar(12) DEFAULT NULL,
  `YEAR_ID` int(4) NOT NULL DEFAULT '0',
  `GAME_DT` int(11) DEFAULT NULL,
  `GAME_CT` int(11) DEFAULT NULL,
  `GAME_DY` varchar(9) DEFAULT NULL,
  `START_GAME_TM` int(11) DEFAULT NULL,
  `DH_FL` varchar(1) DEFAULT NULL,
  `DAYNIGHT_PARK_CD` varchar(1) DEFAULT NULL,
  `AWAY_TEAM_ID` varchar(3) DEFAULT NULL,
  `HOME_TEAM_ID` varchar(3) DEFAULT NULL,
  `PARK_ID` varchar(5) DEFAULT NULL,
  `AWAY_START_PIT_ID` varchar(8) DEFAULT NULL,
  `HOME_START_PIT_ID` varchar(8) DEFAULT NULL,
  `BASE4_UMP_ID` varchar(8) DEFAULT NULL,
  `BASE1_UMP_ID` varchar(8) DEFAULT NULL,
  `BASE2_UMP_ID` varchar(8) DEFAULT NULL,
  `BASE3_UMP_ID` varchar(8) DEFAULT NULL,
  `LF_UMP_ID` varchar(8) DEFAULT NULL,
  `RF_UMP_ID` varchar(8) DEFAULT NULL,
  `ATTEND_PARK_CT` int(11) DEFAULT NULL,
  `SCORER_RECORD_ID` varchar(50) DEFAULT NULL,
  `TRANSLATOR_RECORD_ID` varchar(50) DEFAULT NULL,
  `INPUTTER_RECORD_ID` varchar(50) DEFAULT NULL,
  `INPUT_RECORD_TS` varchar(18) DEFAULT NULL,
  `EDIT_RECORD_TS` varchar(18) DEFAULT NULL,
  `METHOD_RECORD_CD` varchar(18) DEFAULT NULL,
  `PITCHES_RECORD_CD` varchar(1) DEFAULT NULL,
  `TEMP_PARK_CT` int(11) DEFAULT NULL,
  `WIND_DIRECTION_PARK_CD` int(11) DEFAULT NULL,
  `WIND_SPEED_PARK_CT` int(11) DEFAULT NULL,
  `FIELD_PARK_CD` int(11) DEFAULT NULL,
  `PRECIP_PARK_CD` int(11) DEFAULT NULL,
  `SKY_PARK_CD` int(11) DEFAULT NULL,
  `MINUTES_GAME_CT` int(11) DEFAULT NULL,
  `INN_CT` int(11) DEFAULT NULL,
  `AWAY_SCORE_CT` int(11) DEFAULT NULL,
  `HOME_SCORE_CT` int(11) DEFAULT NULL,
  `AWAY_HITS_CT` int(11) DEFAULT NULL,
  `HOME_HITS_CT` int(11) DEFAULT NULL,
  `AWAY_ERR_CT` int(11) DEFAULT NULL,
  `HOME_ERR_CT` int(11) DEFAULT NULL,
  `AWAY_LOB_CT` int(11) DEFAULT NULL,
  `HOME_LOB_CT` int(11) DEFAULT NULL,
  `WIN_PIT_ID` varchar(8) DEFAULT NULL,
  `LOSE_PIT_ID` varchar(8) DEFAULT NULL,
  `SAVE_PIT_ID` varchar(8) DEFAULT NULL,
  `GWRBI_BAT_ID` varchar(8) DEFAULT NULL,
  `AWAY_LINEUP1_BAT_ID` varchar(8) DEFAULT NULL,
  `AWAY_LINEUP1_FLD_CD` int(11) DEFAULT NULL,
  `AWAY_LINEUP2_BAT_ID` varchar(8) DEFAULT NULL,
  `AWAY_LINEUP2_FLD_CD` int(11) DEFAULT NULL,
  `AWAY_LINEUP3_BAT_ID` varchar(8) DEFAULT NULL,
  `AWAY_LINEUP3_FLD_CD` int(11) DEFAULT NULL,
  `AWAY_LINEUP4_BAT_ID` varchar(8) DEFAULT NULL,
  `AWAY_LINEUP4_FLD_CD` int(11) DEFAULT NULL,
  `AWAY_LINEUP5_BAT_ID` varchar(8) DEFAULT NULL,
  `AWAY_LINEUP5_FLD_CD` int(11) DEFAULT NULL,
  `AWAY_LINEUP6_BAT_ID` varchar(8) DEFAULT NULL,
  `AWAY_LINEUP6_FLD_CD` int(11) DEFAULT NULL,
  `AWAY_LINEUP7_BAT_ID` varchar(8) DEFAULT NULL,
  `AWAY_LINEUP7_FLD_CD` int(11) DEFAULT NULL,
  `AWAY_LINEUP8_BAT_ID` varchar(8) DEFAULT NULL,
  `AWAY_LINEUP8_FLD_CD` int(11) DEFAULT NULL,
  `AWAY_LINEUP9_BAT_ID` varchar(8) DEFAULT NULL,
  `AWAY_LINEUP9_FLD_CD` int(11) DEFAULT NULL,
  `HOME_LINEUP1_BAT_ID` varchar(8) DEFAULT NULL,
  `HOME_LINEUP1_FLD_CD` int(11) DEFAULT NULL,
  `HOME_LINEUP2_BAT_ID` varchar(8) DEFAULT NULL,
  `HOME_LINEUP2_FLD_CD` int(11) DEFAULT NULL,
  `HOME_LINEUP3_BAT_ID` varchar(8) DEFAULT NULL,
  `HOME_LINEUP3_FLD_CD` int(11) DEFAULT NULL,
  `HOME_LINEUP4_BAT_ID` varchar(8) DEFAULT NULL,
  `HOME_LINEUP4_FLD_CD` int(11) DEFAULT NULL,
  `HOME_LINEUP5_BAT_ID` varchar(8) DEFAULT NULL,
  `HOME_LINEUP5_FLD_CD` int(11) DEFAULT NULL,
  `HOME_LINEUP6_BAT_ID` varchar(8) DEFAULT NULL,
  `HOME_LINEUP6_FLD_CD` int(11) DEFAULT NULL,
  `HOME_LINEUP7_BAT_ID` varchar(8) DEFAULT NULL,
  `HOME_LINEUP7_FLD_CD` int(11) DEFAULT NULL,
  `HOME_LINEUP8_BAT_ID` varchar(8) DEFAULT NULL,
  `HOME_LINEUP8_FLD_CD` int(11) DEFAULT NULL,
  `HOME_LINEUP9_BAT_ID` varchar(8) DEFAULT NULL,
  `HOME_LINEUP9_FLD_CD` int(11) DEFAULT NULL,
  `AWAY_FINISH_PIT_ID` varchar(8) DEFAULT NULL,
  `HOME_FINISH_PIT_ID` varchar(8) DEFAULT NULL,
  KEY `games_gameid_idx` (`GAME_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 /*!50100 PARTITION BY LIST (YEAR_ID) (PARTITION p1 VALUES IN (1921) ENGINE = MyISAM, PARTITION p2 VALUES IN (1922) ENGINE = MyISAM, PARTITION p3 VALUES IN (1952) ENGINE = MyISAM, PARTITION p4 VALUES IN (1953) ENGINE = MyISAM, PARTITION p5 VALUES IN (1954) ENGINE = MyISAM, PARTITION p6 VALUES IN (1955) ENGINE = MyISAM, PARTITION p7 VALUES IN (1956) ENGINE = MyISAM, PARTITION p8 VALUES IN (1957) ENGINE = MyISAM, PARTITION p9 VALUES IN (1958) ENGINE = MyISAM, PARTITION p10 VALUES IN (1959) ENGINE = MyISAM, PARTITION p11 VALUES IN (1960) ENGINE = MyISAM, PARTITION p12 VALUES IN (1961) ENGINE = MyISAM, PARTITION p13 VALUES IN (1962) ENGINE = MyISAM, PARTITION p14 VALUES IN (1963) ENGINE = MyISAM, PARTITION p15 VALUES IN (1964) ENGINE = MyISAM, PARTITION p16 VALUES IN (1965) ENGINE = MyISAM, PARTITION p17 VALUES IN (1966) ENGINE = MyISAM, PARTITION p18 VALUES IN (1967) ENGINE = MyISAM, PARTITION p19 VALUES IN (1968) ENGINE = MyISAM, PARTITION p20 VALUES IN (1969) ENGINE = MyISAM, PARTITION p21 VALUES IN (1970) ENGINE = MyISAM, PARTITION p22 VALUES IN (1971) ENGINE = MyISAM, PARTITION p23 VALUES IN (1972) ENGINE = MyISAM, PARTITION p24 VALUES IN (1973) ENGINE = MyISAM, PARTITION p25 VALUES IN (1974) ENGINE = MyISAM, PARTITION p26 VALUES IN (1975) ENGINE = MyISAM, PARTITION p27 VALUES IN (1976) ENGINE = MyISAM, PARTITION p28 VALUES IN (1977) ENGINE = MyISAM, PARTITION p29 VALUES IN (1978) ENGINE = MyISAM, PARTITION p30 VALUES IN (1979) ENGINE = MyISAM, PARTITION p31 VALUES IN (1980) ENGINE = MyISAM, PARTITION p32 VALUES IN (1981) ENGINE = MyISAM, PARTITION p33 VALUES IN (1982) ENGINE = MyISAM, PARTITION p34 VALUES IN (1983) ENGINE = MyISAM, PARTITION p35 VALUES IN (1984) ENGINE = MyISAM, PARTITION p36 VALUES IN (1985) ENGINE = MyISAM, PARTITION p37 VALUES IN (1986) ENGINE = MyISAM, PARTITION p38 VALUES IN (1987) ENGINE = MyISAM, PARTITION p39 VALUES IN (1988) ENGINE = MyISAM, PARTITION p40 VALUES IN (1989) ENGINE = MyISAM, PARTITION p41 VALUES IN (1990) ENGINE = MyISAM, PARTITION p42 VALUES IN (1991) ENGINE = MyISAM, PARTITION p43 VALUES IN (1992) ENGINE = MyISAM, PARTITION p44 VALUES IN (1993) ENGINE = MyISAM, PARTITION p45 VALUES IN (1994) ENGINE = MyISAM, PARTITION p46 VALUES IN (1995) ENGINE = MyISAM, PARTITION p47 VALUES IN (1996) ENGINE = MyISAM, PARTITION p48 VALUES IN (1997) ENGINE = MyISAM, PARTITION p49 VALUES IN (1998) ENGINE = MyISAM, PARTITION p50 VALUES IN (1999) ENGINE = MyISAM, PARTITION p51 VALUES IN (2000) ENGINE = MyISAM, PARTITION p52 VALUES IN (2001) ENGINE = MyISAM, PARTITION p53 VALUES IN (2002) ENGINE = MyISAM, PARTITION p54 VALUES IN (2003) ENGINE = MyISAM, PARTITION p55 VALUES IN (2004) ENGINE = MyISAM, PARTITION p56 VALUES IN (2005) ENGINE = MyISAM, PARTITION p57 VALUES IN (2006) ENGINE = MyISAM, PARTITION p58 VALUES IN (2007) ENGINE = MyISAM, PARTITION p59 VALUES IN (2008) ENGINE = MyISAM, PARTITION p60 VALUES IN (2009) ENGINE = MyISAM) */;

/*Table structure for table `subs` */

DROP TABLE IF EXISTS `subs`;

CREATE TABLE `subs` (
  `GAME_ID` varchar(12) DEFAULT NULL,
  `INN_CT` int(11) DEFAULT NULL,
  `BAT_HOME_ID` int(11) DEFAULT NULL,
  `SUB_ID` varchar(8) DEFAULT NULL,
  `SUB_HOME_ID` int(11) DEFAULT NULL,
  `SUB_LINEUP_ID` int(11) DEFAULT NULL,
  `SUB_FLD_CD` int(11) DEFAULT NULL,
  `REMOVED_ID` varchar(8) DEFAULT NULL,
  `REMOVED_FLD_CD` int(11) DEFAULT NULL,
  `EVENT_ID` int(11) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
